CVE-2018-1000007

CVE: CVE-2018-1000007
Published: 2018-01-24T22:29Z
Vendor: haxx
Products: curl
Versions: 7.57.0,
Vendor: debian
Products: debian_linux
Versions: 7.0, 8.0, 9.0,
Description Language: en
Description: libcurl 7.1 through 7.57.0 might accidentally leak authentication data to third parties. When asked to send custom headers in its HTTP requests, libcurl will send that set of headers first to the host in the initial URL but also, if asked to follow redirects and a 30X HTTP response code is returned, to the host mentioned in URL in the `Location:` response header value. Sending the same set of headers to subsequest hosts is in particular a problem for applications that pass on custom `Authorization:` headers, as this header often contains privacy sensitive information or data that could allow others to impersonate the libcurl-using client’s request.
References:
http://www.securitytracker.com/id/1040274
https://curl.haxx.se/docs/adv_2018-b3bf.html
https://lists.debian.org/debian-lts-announce/2018/01/msg00038.html
https://www.debian.org/security/2018/dsa-4098